Download it now!
Bug 131636 - Icons for To Background/To Foreground
Summary: Icons for To Background/To Foreground
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
7.0.0.0.alpha0+
Hardware: All All
: medium enhancement
Assignee: Rizal Muttaqin
URL:
Whiteboard: target:7.0.0 target:6.4.4
Keywords:
Depends on:
Blocks: Icon-Theme-Breeze Icon-Theme-Colibre Icon-Theme-Sukapura
  Show dependency treegraph
 
Reported: 2020-03-28 01:11 UTC by Aron Budea
Modified: 2020-04-08 03:53 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Aron Budea 2020-03-28 01:11:58 UTC
The 'To Background' and 'To Foreground' icons are on the Drawing Object Properties toolbar (and soon on the Position and Size sidebar in Writer).

They have unique icons in a couple of icon sets, but share icons with 'Bring to Front' and 'Send to Back' in others.
The affected icon sets are: Breeze, Colibre and Sukapura.

Would be nice to have unique icons for these functions in those icon sets as well.

UNO commands:
- .uno:SetObjectToBackground
- .uno:SetObjectToForeground
Comment 1 Commit Notification 2020-03-28 06:31:49 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/ba3c9a8f055bb1388012245c3578f9b21572ed75

Sukapura:Fix for tdf#131636: icons for to Background and to Foreground

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 2 Rizal Muttaqin 2020-03-28 06:49:19 UTC
@Andreas Kainz, do you have idea how Breeze version should look like?
Comment 3 Commit Notification 2020-03-28 11:31:49 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/96f41e79ad505239a5cd4c7991af767796f77672

Breeze & Colibre:  Fix for tdf#131636 to Bg & to Fg icons

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2020-03-29 04:30:26 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/4183a7f7423998d5497c67752624731c2fb00346

Breeze & Colibre:  Fix for tdf#131636 to Bg & to Fg icons

It will be available in 6.4.4.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Aron Budea 2020-03-29 21:43:05 UTC
Thank you, Rizal!